Media API

The Media API can be used to query, download and delete media items such as audio files for use with other Nexmo APIs.

Baixar a especificação OpenAPI

List and search media items

Retrieve the metadata for multiple media items, with the ability to search and paginate.

gethttps://api.nexmo.com/v3/media/

Autenticação

Esta API oferece suporte tanto à autenticação JWT quanto à autenticação básica. A autenticação básica é mais fácil de começar a usar, mas não oferece suporte a recursos avançados, como ACLs.

Você pode usar ou a autenticação JWT ou a autenticação básica, mas não ambas ao mesmo tempo.

ChaveDescriçãoOndeExemplo
Authorization

Seu token JSON da Web.
Saiba mais sobre os JWTs

Headers

Bearer <JWT>
Authorization

Chave e segredo da API codificados em Base64, separados por dois pontos.
Leia mais

Headers

Basic <base64>

Consulta Parâmetros

order
string
Padrãodescending
exemploascending

The order of search results.

Deve ser uma das seguintes opções:ascendingdescending
page_index
integer
exemplo1

Which page to retrieve in pagination

page_size
integer
Padrão20
exemplo50

How many items at most per page

start_time
string
Padrão1 week ago
exemplo2020-01-01T14:00:00.000Z

Retrieve results created on or after this timestap.

end_time
string
exemplo2020-01-01T14:00:00.000Z

Retrieve results created on or before this timestamp.

Respostas
Tipo de conteúdo
application/json

Successfully retrieved

page_size
integer
exemplo20

The amount of records returned in this response.

page_index
integer

The page_index used in your request.

_links
object
self
object
href
string
exemplo/v3/media?page_size=20&account_id=abcd1234&order=descending
first
object
href
string
exemplo/v3/media?page_size=20&account_id=abcd1234&order=descending
last
object
href
string
exemplo/v3/media?page_size=20&account_id=abcd1234&order=descending
count
integer
exemplo1

The total number of records returned by your request.

_embedded
object

A collection of media items. See retrieve a media item for a description of the returned fields

media
array
id
string
exemploaaaaaaaa-bbbb-cccc-dddd-0123456789ab

A UUID representing the object.

original_file_name
string
exemplotest.wav

The filename of the object as it was originally uploaded.

mime_type
string
exemploaudio/vnd.wave

The IETF MIME type of the file.

account_id
string
exemploabcd1234

The ID of your Nexmo account. This is the same as your API key.

store_id
string
exemplos3

An internal identifier of how the file is stored.

max_downloads_allowed
integer

The maximum number of times the file may be downloaded.

times_downloaded
integer
exemplo1

The number of times the file has been downloaded.

etag
string
exemploaaaaaaaabbbbccccdddd0123456789ab

An identifier for the content. This will change if the content of the file has been changed (i.e. if you upload a new version of the file). For more information see Wikipedia: HTTP ETag

media_size
integer
exemplo1234567

The size of the file in bytes

time_created
string
exemplo2020-01-01T14:00:00.000Z

A timestamp for the time that the file was created

time_last_updated
string
exemplo2020-01-01T14:00:00.000Z

A timestamp for the time that the file was last modified

public
boolean

Whether the item is available for download without authentication.

metadata_primary
string

A user set string containing metadata about the media file.

metadata_secondary
string

A user set string containing further metadata about the media file.

Exemplo Resposta

{
   "page_size": 20,
   "page_index": 0,
   "_links": {
      "self": {
         "href": "/v3/media?page_size=20&account_id=abcd1234&order=descending"
      },
      "first": {
         "href": "/v3/media?page_size=20&account_id=abcd1234&order=descending"
      },
      "last": {
         "href": "/v3/media?page_size=20&account_id=abcd1234&order=descending"
      }
   },
   "count": 1,
   "_embedded": {
      "media": [
         {
            "id": "aaaaaaaa-bbbb-cccc-dddd-0123456789ab",
            "original_file_name": "test.wav",
            "mime_type": "audio/vnd.wave",
            "account_id": "abcd1234",
            "store_id": "s3",
            "max_downloads_allowed": 0,
            "times_downloaded": 1,
            "etag": "aaaaaaaabbbbccccdddd0123456789ab",
            "media_size": 1234567,
            "time_created": "2020-01-01T14:00:00.000Z",
            "time_last_updated": "2020-01-01T14:00:00.000Z",
            "public": false,
            "metadata_primary": "string",
            "metadata_secondary": "string"
         }
      ]
   }
}

Retrieve a media item's metadata

Retrieve the metadata for a media item

gethttps://api.nexmo.com/v3/media/:id/info

Autenticação

Esta API oferece suporte tanto à autenticação JWT quanto à autenticação básica. A autenticação básica é mais fácil de começar a usar, mas não oferece suporte a recursos avançados, como ACLs.

Você pode usar ou a autenticação JWT ou a autenticação básica, mas não ambas ao mesmo tempo.

ChaveDescriçãoOndeExemplo
Authorization

Seu token JSON da Web.
Saiba mais sobre os JWTs

Headers

Bearer <JWT>
Authorization

Chave e segredo da API codificados em Base64, separados por dois pontos.
Leia mais

Headers

Basic <base64>

Respostas
Tipo de conteúdo
application/json

Successfully retrieved

id
string
exemploaaaaaaaa-bbbb-cccc-dddd-0123456789ab

A UUID representing the object.

original_file_name
string
exemplotest.wav

The filename of the object as it was originally uploaded.

mime_type
string
exemploaudio/vnd.wave

The IETF MIME type of the file.

account_id
string
exemploabcd1234

The ID of your Nexmo account. This is the same as your API key.

store_id
string
exemplos3

An internal identifier of how the file is stored.

max_downloads_allowed
integer

The maximum number of times the file may be downloaded.

times_downloaded
integer
exemplo1

The number of times the file has been downloaded.

etag
string
exemploaaaaaaaabbbbccccdddd0123456789ab

An identifier for the content. This will change if the content of the file has been changed (i.e. if you upload a new version of the file). For more information see Wikipedia: HTTP ETag

media_size
integer
exemplo1234567

The size of the file in bytes

time_created
string
exemplo2020-01-01T14:00:00.000Z

A timestamp for the time that the file was created

time_last_updated
string
exemplo2020-01-01T14:00:00.000Z

A timestamp for the time that the file was last modified

public
boolean

Whether the item is available for download without authentication.

metadata_primary
string

A user set string containing metadata about the media file.

metadata_secondary
string

A user set string containing further metadata about the media file.

Exemplo Resposta

{
   "id": "aaaaaaaa-bbbb-cccc-dddd-0123456789ab",
   "original_file_name": "test.wav",
   "mime_type": "audio/vnd.wave",
   "account_id": "abcd1234",
   "store_id": "s3",
   "max_downloads_allowed": 0,
   "times_downloaded": 1,
   "etag": "aaaaaaaabbbbccccdddd0123456789ab",
   "media_size": 1234567,
   "time_created": "2020-01-01T14:00:00.000Z",
   "time_last_updated": "2020-01-01T14:00:00.000Z",
   "public": false,
   "metadata_primary": "string",
   "metadata_secondary": "string"
}

Update a media item's metadata

Update the metadata of a previously created media item.

puthttps://api.nexmo.com/v3/media/:id/info

Autenticação

Esta API oferece suporte tanto à autenticação JWT quanto à autenticação básica. A autenticação básica é mais fácil de começar a usar, mas não oferece suporte a recursos avançados, como ACLs.

Você pode usar ou a autenticação JWT ou a autenticação básica, mas não ambas ao mesmo tempo.

ChaveDescriçãoOndeExemplo
Authorization

Seu token JSON da Web.
Saiba mais sobre os JWTs

Headers

Bearer <JWT>
Authorization

Chave e segredo da API codificados em Base64, separados por dois pontos.
Leia mais

Headers

Basic <base64>

Corpo da solicitação
Tipo de conteúdo
multipart/form-data

public
boolean
exemplotrue

Whether the item is publicly available without authentication.

metadata_primary
string
exemplofoo,bar

A string containing metadata about the media file.

metadata_secondary
string
exemplo123

A string containing further metadata about the media file.

title
string
exemploVery important recording

A string containing a title for the media file.

description
string
exemploThis is a very important recording. Do not delete.

A description of the media file.

mime_type
string
exemploaudio/vnd.wave

The MIME type of the media file.

max_downloads_allowed
integer
exemplo100

The maximum number of times the file may be downloaded. Unlimited when not provided.

Exemplo Solicitação

POST /v3/media/:id/info HTTP/1.1
Host: api.nexmo.com
Content-Type: application/x-www-form-urlencoded
Content-Length: 204

public=true&metadata_primary=foo,bar&metadata_secondary=123&title=Very+important+recording&description=This+is+a+very+important+recording.+Do+not+delete.&mime_type=audio/vnd.wave&max_downloads_allowed=100
POST /v3/media/:id/info HTTP/1.1
Host: api.nexmo.com
Content-Type: application/x-www-form-urlencoded
Content-Length: 0

Respostas

Successfully updated

Retrieve a media item's content

Download the file associated with a media item

gethttps://api.nexmo.com/v3/media/:id

Autenticação

Esta API oferece suporte tanto à autenticação JWT quanto à autenticação básica. A autenticação básica é mais fácil de começar a usar, mas não oferece suporte a recursos avançados, como ACLs.

Você pode usar ou a autenticação JWT ou a autenticação básica, mas não ambas ao mesmo tempo.

ChaveDescriçãoOndeExemplo
Authorization

Seu token JSON da Web.
Saiba mais sobre os JWTs

Headers

Bearer <JWT>
Authorization

Chave e segredo da API codificados em Base64, separados por dois pontos.
Leia mais

Headers

Basic <base64>

Respostas
Tipo de conteúdo
*/*

Successfully retrieved
The Content-Type header will specify the MIME type of the response body

Exemplo Resposta

A visualização de exemplo não é suportada no momento para o tipo de conteúdo: */*

Delete a media item

Delete a previously created media item by ID.

deletehttps://api.nexmo.com/v3/media/:id

Autenticação

Esta API oferece suporte tanto à autenticação JWT quanto à autenticação básica. A autenticação básica é mais fácil de começar a usar, mas não oferece suporte a recursos avançados, como ACLs.

Você pode usar ou a autenticação JWT ou a autenticação básica, mas não ambas ao mesmo tempo.

ChaveDescriçãoOndeExemplo
Authorization

Seu token JSON da Web.
Saiba mais sobre os JWTs

Headers

Bearer <JWT>
Authorization

Chave e segredo da API codificados em Base64, separados por dois pontos.
Leia mais

Headers

Basic <base64>

Respostas

Successfully deleted